<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $this->Cell(40,0,'CONSOLIDADO DE NOTAS POR PERIODO DEL GRADO '.substr($grupo,15,2).'-'.substr($grupo,17,1),0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('L','mm','letter');

$pdf->AddPage();
$pdf->SetMargins(15, 1, 10);

$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];

$contador="0";
include("../php/conexion-bdie.php");

$contador="0";
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"].$idestudiantematriculado;
		$contador=$contador+1;
	}
}
$contadorasignaturas="0";
$regasignaturas=mysql_query("Select asignatura,idasignatura From datos_asignaturas Where idgrado='$grado' And estado='1' order by idarea",$db_basededatosie);
while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
	$cadena=$FilaAsignatura["asignatura"];
	$palabras=split(" ",$cadena);
	if (count($palabras)>1)
		$tituloasignaturas[$contadorasignaturas]=substr($palabras[0],0,1).'-'.substr($palabras[1],0,3);
	else
		$tituloasignaturas[$contadorasignaturas]=substr($palabras[0],0,5);
	$asignaturas[$contadorasignaturas]=$FilaAsignatura["idasignatura"];
	$contadorasignaturas=$contadorasignaturas+1;
}

// Ordenar el array ... 
if ($estudiantesdesordenados)
	sort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$tamañoletra=$_POST['tamañoletra'];
$tipoletra=$_POST['tipoletra'];

$pdf->SetFont($tipoletra,'B',$tamañoletra);
$pdf->Ln(2);
	
$pdf->SetFont($tipoletra,'',$tamañoletra);

// Titulo de la Tabla
$pdf->Cell($tamañoletra+2,5,'No.:',1,0,'C'); $pdf->Cell($tamañoletra+77,5,'ESTUDIANTE',1,0,'C');
for ($j=0;$j<$contadorasignaturas;$j++) {
	$pdf->Cell($tamañoletra+2,5,substr($tituloasignaturas[$j],0,5),1,0,'C');
}
$pdf->Ln(5);

for ($i=0;$i<$contador;$i++) {
	$nuid=substr($estudiantesdesordenados[$i],strlen($estudiantesdesordenados[$i])-17,17);
	$nombreestudiante=substr($estudiantesdesordenados[$i],0,strlen($estudiantesdesordenados[$i])-17);
	$pdf->Cell($tamañoletra+2,$tamañoletra-4,$i+1,1,0,'C');
	$pdf->Cell($tamañoletra+77,$tamañoletra-4,$nombreestudiante,1,0,'L');
	for ($j=0;$j<$contadorasignaturas;$j++){	
		$idasignatura=$asignaturas[$j];
		if ($tipoplanillaparanotas=="2"){
			include("../php/conexion-bdie.php");
			$regnotas=mysql_query("Select * From datos_notastipo2 Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			if(mysql_num_rows($regnotas)>0){
				$FilaNotas=mysql_fetch_array($regnotas);
				$n1=$FilaNotas["n1"];
				$n2=$FilaNotas["n2"];
				$n3=$FilaNotas["n3"];
				$n4=$FilaNotas["n4"];
				$n5=$FilaNotas["n5"];
				$n6=$FilaNotas["n6"];
				$n7=$FilaNotas["n7"];
				$sumanotas=0;
				$promedio=0;
				$definitiva='';
				$k=0;
				if ($n1>0){ $sumanotas=$sumanotas+$n1; $k=$k+1; }
				if ($n2>0){ $sumanotas=$sumanotas+$n2; $k=$k+1; }
				if ($n3>0){ $sumanotas=$sumanotas+$n3; $k=$k+1; }
				if ($n4>0){ $sumanotas=$sumanotas+$n4; $k=$k+1; }
				if ($n5>0){ $sumanotas=$sumanotas+$n5; $k=$k+1; }
				if ($n6>0){ $sumanotas=$sumanotas+$n6; $k=$k+1; }
				if ($n7>0){ $sumanotas=$sumanotas+$n7; $k=$k+1; }
				if ($sumanotas) $promedio= $sumanotas/$k;				
				$n8=$FilaNotas["n8"];
				$n9=$FilaNotas["n9"];
				$n10=$FilaNotas["n10"];
				$definitiva=round($promedio*.8,1)+round($n8*.05,1)+round($n9*.05,1)+round($n10*.1,1);				
			}
			if ($definitiva)
				$definitiva=number_format($definitiva,1);
			$pdf->Cell($tamañoletra+2,$tamañoletra-4,$definitiva,1,0,'C');
		}
		else{
			include("../php/conexion-bdie.php");
			$definitiva='';
			$regnotas=mysql_query("Select definitiva From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			if(mysql_num_rows($regnotas)>0){
				$FilaNotas=mysql_fetch_array($regnotas);
				$definitiva=$FilaNotas["definitiva"];
			}
			if ($definitiva)
				$definitiva=number_format($definitiva,1);
			$pdf->Cell($tamañoletra+2,$tamañoletra-4,$definitiva,1,0,'C');
		}
	}

	$pdf->Ln($tamañoletra-4);
}
$pdf->Output();
?>